HINO Bugs - Bug #1467

[ESS-OVERTIME] penambahan validasi untuk memilih overtime diluar jam kerja
08/08/2022 03:42 PM - Muhammad Bintar

Status: Closed Start date: 08/08/2022
Priority: Normal Due date: 08/12/2022
Assignee: Saswanto Tampan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear tim developer, mohon support nya untuk perbaikan pada form ESS dimana pada saat memilih overtime di waktu jam kerja
masih bisa memilih padahal tidak boleh melakukan overtime.
History

#1 - 08/10/2022 10:07 AM - Muhammad Bintar
- File clipboard-202208101007-amgrm.png added

Dear tim developer,

ada update an kembali dari requirement

- Untuk perhitungan overtime nya dimulai dari jam 18.30 di waktu working days, kalau non working days dihitung dari awal kerja lembur sampai
selesai lembur(dilepas aja durasi nya tanpa dibatasi

- penambahan validasi untuk karyawan wanita dibatasi overtime sampai jam 21.00, dan pria dibatasi sampai jam 22.00 baik working days dan non
working days
#2 - 08/10/2022 12:03 PM - Saswanto Tampan

update
PCMWFDEFBIZPROC penambahan pada OnDocBeforeSubmit

update
PCMWFCUSTPARAM penambahan ID GETOVERTIMELIMIT

UPDATE
#3 - 08/10/2022 12:03 PM - Saswanto Tampan
- Status changed from New to QA Test

- Assignee changed from Saswanto Tampan to Muhammad Bintar

#4 - 08/10/2022 04:18 PM - Muhammad Bintar
- File clipboard-202208101618-gjdof.png added

sudah selesai dan siap dideploy ke client.
Information

me yang dipilih tidek diizinkan

n cuti untuk StartTime ci mulsi di hari kerjs di jam 18.30 dan

- Jam 21.00 untuk wanits
- jam 22.00 untuk pria

uksn cuth untuk StertTime di mulsi di heri libur (OFF) ¢i jsm 08.00 dan

-Jam 21.00 untuk wenitz

- jem 22.00 untuk pris

#5 - 08/11/2022 09:41 AM - Muhammad Bintar
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to Saswanto Tampan

sudah sukses deploy
